net.sourceforge.pmd.lang.java.ast

## Class ASTImportDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode
      - - net.sourceforge.pmd.lang.java.ast.ASTImportDeclaration

All Implemented Interfaces:
  Node, JavaNode, TypeNode

    public class ASTImportDeclaration
    extends AbstractJavaTypeNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTImportDeclaration(int id)`
`ASTImportDeclaration(JavaParser p, int id)`

### Method Summary

Methods
`String` `getImportedName()`
`ASTName` `getImportedNameNode()`
`Package` `getPackage()`
`String` `getPackageName()`
`boolean` `isImportOnDemand()`
`boolean` `isStatic()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor
`void` `setImportOnDemand()`
`void` `setPackage(Package packge)`
`void` `setStatic()`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTImportDeclaration

    public ASTImportDeclaration(int id)

#### ASTImportDeclaration

    public ASTImportDeclaration(JavaParser p,
                        int id)

### Method Detail

#### setImportOnDemand

    public void setImportOnDemand()

#### isImportOnDemand

    public boolean isImportOnDemand()

#### setStatic

    public void setStatic()

#### isStatic

    public boolean isStatic()

#### getImportedNameNode

    public ASTName getImportedNameNode()

#### getImportedName

    public String getImportedName()

#### getPackageName

    public String getPackageName()

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### setPackage

    public void setPackage(Package packge)

#### getPackage

    public Package getPackage()